#include <iostream>

int main() {
    long long n, l;
    std::cin >> n >> l;
    long long flag = -1;
    for (long long i = 0; i < n; i++) {
        long long x;
        std::cin >> x;
        if (x <= l && flag == -1)
            flag = i + 1;
    }
    std::cout << flag << std::endl;
    return 0;
}